#include <bits/stdc++.h>
using namespace std;

int main()
{
    string linha;

    while (true)
    {
        int r = 0;
        getline(cin, linha);

        if (linha == "0")
        {
            break;
        }

        string palavras[100];
        int indice = 0;

        for (int i = 0; i < linha.size(); i++)
        {

            if (linha[i] == ' ')
                indice++;
            else
                palavras[indice].push_back(linha[i]);
        }

        // int oco[27];

        for (int i = 1; i <= indice; i++)
        {
            string aux = palavras[0];

            bool foi = true;
            for (int j = 0; j < palavras[i].size() && foi; j++)
            {
                bool achou = false;
                for (int k = 0; k < aux.size() && !achou; k++)
                {
                    if (aux[k] == palavras[i][j])
                    {
                        aux[k] = '0';
                        achou = true;
                    }
                }

                if (!achou)
                    foi = false;
            }

            if (foi)
            {
                r++;
            }
        }

        cout << r << endl;
    }
}
